---
arch-wiki: https://wiki.archlinux.org/title/SSHFS
obj: filesystem
---
# SSHFS
SSHFS is a FUSE Filesystem based on the [SSH](../../applications/network/SSH.md) and SFTP Protocol.

## Mounting
```shell
sshfs [user@]host:[dir] mountpoint [options]
```

## Automount
**fstab entry:**
```
user@host:/remote/path /local/path  fuse.sshfs noauto,x-systemd.automount,_netdev,users,idmap=user,IdentityFile=/home/user/.ssh/id_rsa,allow_other,reconnect 0 0
```

## Options
```
-p [PORT]          - SSH Port
-C                 - Compression
-o reconnect       - reconnect
-o idmap=TYPE      - TYPE = none, user, file | Map UID and GIDs
-o follow_symlinks - Symlinks
```